Skip to main content
POST
/
2
/
tweets
게시물 생성 및 편집
curl --request POST \
  --url https://api.x.com/2/tweets \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "card_uri": "<string>",
  "community_id": "1146654567674912769",
  "direct_message_deep_link": "<string>",
  "for_super_followers_only": false,
  "geo": {
    "place_id": "<string>"
  },
  "nullcast": false,
  "quote_tweet_id": "1346889436626259968",
  "reply_settings": "following",
  "share_with_followers": false,
  "text": "Learn how to use the user Tweet timeline and user mention timeline endpoints in the X API v2 to explore Tweet\\u2026 https:\\/\\/t.co\\/56a0vZUx7i"
}
'
{
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
card_uri
string

Card URI 매개변수입니다. Quote Tweet id, 투표(Poll), 미디어(Media), 다이렉트 메시지 딥 링크와는 상호 배타적입니다.

community_id
string

이 커뮤니티의 고유 식별자입니다.

Pattern: ^[0-9]{1,19}$
Example:

"1146654567674912769"

공개 타임라인 상의 대화를 다이렉트 메시지로 전환하기 위한 링크입니다.

edit_options
object

기존 게시물을 수정할 때 사용하는 옵션입니다. 이 값이 제공되면 새 게시물을 생성하지 않고 지정된 게시물을 수정합니다.

for_super_followers_only
boolean
default:false

슈퍼 팔로워에게만 공개되는 Tweet입니다.

geo
object

지리적 위치 정보를 지정하기 위해 Tweet에 첨부될 Place id입니다.

media
object

생성된 Tweet에 첨부되는 미디어 정보입니다. 이는 Quote Tweet id, 투표, Card URI와 서로 배타적입니다.

nullcast
boolean
default:false

널캐스트(프로모션 전용) 포스트는 공개 타임라인에 표시되지 않으며 팔로워에게도 노출되지 않습니다.

poll
object

설문이 포함된 Tweet의 설문 옵션입니다. Media, Quote Tweet id, Card URI와는 서로 배타적입니다.

quote_tweet_id
string

이 Tweet의 고유 식별자입니다. 일부 언어 및 도구에서 큰 정수를 처리하지 못해 발생하는 문제를 피하기 위해 문자열로 반환됩니다.

Pattern: ^[0-9]{1,19}$
Example:

"1346889436626259968"

reply
object

답글 대상이 되는 Tweet에 대한 정보입니다.

reply_settings
enum<string>

누가 이 Tweet에 답글을 달 수 있는지를 나타내는 설정입니다.

Available options:
following,
mentionedUsers,
subscribers,
verified
share_with_followers
boolean
default:false

커뮤니티 게시물을 팔로워에게도 공유합니다.

text
string

Tweet의 콘텐츠입니다.

Example:

"Learn how to use the user Tweet timeline and user mention timeline endpoints in the X API v2 to explore Tweet\\u2026 https:\\/\\/t.co\\/56a0vZUx7i"

Response

요청이 성공했습니다.

data
object
errors
object[]
Minimum array length: 1

IETF RFC 7807(https://tools.ietf.org/html/rfc7807)에 정의된 HTTP Problem Details 객체